﻿namespace BusinessObjects
{
    public class Employee : BusinessObject
    {
        private static int _lastId;

        private int _employeeId = System.Threading.Interlocked.Increment(ref _lastId); 
        private string _employeeName;

        public int EmployeeId
        {
            get { return _employeeId; }
            set
            {
                if (_employeeId != value)
                {
                    _employeeId = value;
                    OnPropertyChanged("EmployeeId");
                }
            }
        }

        public string EmployeeName
        {
            get { return _employeeName; }
            set
            {
                if (_employeeName != value)
                {
                    if (value == "aaa")
                        _employeeName = "bbb";
                    else
                        _employeeName = value;
                    OnPropertyChanged("EmployeeName");
                }
            }
        }
    }
}
